Subject: Re: [PATCH] prism54: wpa support for fullmac cards

From: [email-masked]
Date: Wed, 4 Oct 2006 16:12:26 +0200

On Wed, 4 Oct 2006 13:40 +0200 [email-masked] wrote:
> On Wed, 2006-10-04 at 12:38 +0200, Jiri Benc wrote:
> > On Tue, 3 Oct 2006 14:57:33 +0200, [email-masked] wrote:
> > > This patch (prism54-en-wpa3.patch) brings WPA/WPA2(RSN) with
> > > TKIP-Cipher to everyone with a FULLMAC Prism GT/Indigo/Duette card.
> > > I removed all the parts(e.g.: Hostapd Support) which are not relevant
> > > for wpa_supplicant (client/managed mode).
> >
> > Are you proposing a patch that removes AP support from the driver or did
> > I understand it wrong?
>
> I believe it adds the support back in, just using standard WE ioctls
> like ENCODEEXT and AUTH rather than the custom HostAP ones...  which
> brings up the question whether the hostapd driver for wext (is there
> such a thing?) works well enough.
>
> Dan
>

the AP code never worked. And the hostapd-ioctl interface was designed 
for prism2/2.5/3 cards, but not for "fullmac" prism54.
Because the "fullmac" prism54 card does everything(mac-, key- and 
station-management) in the firmware and the hostapd_param struct 
does neither support the necessary mlme requests/responses (Authentication & 
Association frames) nor a param to handle the EAP filter for the stations.

(I wrote a "patch" HostAPD support, but with it's own 
firmwareap_param struct and some other hacky things, but it works well.
I can post a diff too, but "be" warned! ;) )

(BTW, hostapd's backend for prism54 uses a "proprietary" interface - 
PIMFOR -, which never made it into the kernel.) 

Chr.